<?php
/**
 * Created by PhpStorm.
 * User: tuliomagalhaes
 * Date: 30/01/2015
 * Time: 15:34
 */

namespace Factory;


class Attachment {

    public function createAttachment($typeFile,$nameFile,$labelFile,$sizeFile){
        $entity = new \Zeedhi\DevOps\Model\Projectmanagement\Entities\Attachment();
        $entity->setFileName($nameFile);
        $entity->setSizeFile($sizeFile);
        $entity->setTypeFile($typeFile);
        $entity->setLabel($labelFile);
        return $entity;
    }
    public function createAttachmentTask($typeFile,$nameFile,$labelFile,$sizeFile,\Zeedhi\DevOps\Model\Projectmanagement\Entities\Task $task, $comentario = null){
        $entity = $this->createAttachment($typeFile,$nameFile,$labelFile,$sizeFile);
        $entity->setTask($task);
        if($comentario){
            $entity->setComments($comentario);
        }
        $entity->setProject($task->getProject());
        return $entity;
    }

    public function createAttachmentComment($typeFile,$nameFile,$labelFile,$sizeFile,\Zeedhi\DevOps\Model\Projectmanagement\Entities\Comments $comment){
        $entity = $this->createAttachment($typeFile,$nameFile,$labelFile,$sizeFile);
        $entity->setComments($comment);
        return $entity;
    }
    public function updateAttachmentPath(\Zeedhi\DevOps\Model\Projectmanagement\Entities\Attachment $entity, $fileName){
        $entity->setFileName($fileName);
        return $entity;
    }
    public function createAttachmentProject($typeFile,$nameFile,$labelFile,$sizeFile,\Zeedhi\DevOps\Model\Projectmanagement\Entities\Project $project){
        $entity = $this->createAttachment($typeFile,$nameFile,$labelFile,$sizeFile);
        $entity->setProject($project);
        return $entity;
    }
} 